AbstractAttributeContainer.PluralAttributeImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Class AbstractAttributeContainer.PluralAttributeImpl

    java.lang.Object
      org.hibernate.metamodel.domain.AbstractAttributeContainer.PluralAttributeImpl

All Implemented Interfaces:
  Attribute, PluralAttribute

Direct Known Subclasses:
  AbstractAttributeContainer.IndexedPluralAttributeImpl

Enclosing class:
  AbstractAttributeContainer

    public static class AbstractAttributeContainer.PluralAttributeImpl

extends Object
implements PluralAttribute

Constructor Summary
`AbstractAttributeContainer.PluralAttributeImpl(String name, PluralAttributeNature nature, AttributeContainer attributeContainer)`

Method Summary
`AttributeContainer` | `getAttributeContainer()` Retrieve the declaring container for this attribute (entity/component).
`Type` | `getElementType()`
`String` | `getName()` Retrieve the attribute name.
`PluralAttributeNature` | `getNature()`
`String` | `getRole()`
`boolean` | `isSingular()` An attribute can be either: singular - castable to `SingularAttribute` plural - castable to `PluralAttribute`
`void` | `setElementType(Type elementType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAttributeContainer.PluralAttributeImpl

    public AbstractAttributeContainer.PluralAttributeImpl(String name,
                                                          PluralAttributeNature nature,
                                                          AttributeContainer attributeContainer)

Method Detail

### getAttributeContainer

    public AttributeContainer getAttributeContainer()

  Description copied from interface: `Attribute`
  Retrieve the declaring container for this attribute (entity/component).

  Specified by:
    `getAttributeContainer` in interface `Attribute`
  Returns:
    The attribute container.

### isSingular

    public boolean isSingular()

  Description copied from interface: `Attribute`
  An attribute can be either:
  - singular - castable to `SingularAttribute`
  - plural - castable to `PluralAttribute`

  Specified by:
    `isSingular` in interface `Attribute`
  Returns:
    True if attribute is singular; false if plural.

### getNature

    public PluralAttributeNature getNature()

  Specified by:
    `getNature` in interface `PluralAttribute`

### getName

    public String getName()

  Description copied from interface: `Attribute`
  Retrieve the attribute name.

  Specified by:
    `getName` in interface `Attribute`
  Returns:
    The attribute name.

### getRole

    public String getRole()

  Specified by:
    `getRole` in interface `PluralAttribute`

### getElementType

    public Type getElementType()

  Specified by:
    `getElementType` in interface `PluralAttribute`

### setElementType

    public void setElementType(Type elementType)

  Specified by:
    `setElementType` in interface `PluralAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.